Page MenuHomePhabricator

Allow filtering by namespace on [[Special:WantedTemplates]]
Closed, ResolvedPublic

Description

[[Special:Wanted templates]] is listing all empty transcluded pages rather than solely those pages in the Template: and Module: nss.

This special page should restrict itself to template: and module: namespaces, not transcluded pages. Empty transcluded pages would be better to display in [[Special:Wanted pages]].

The current configuration is particularly problematic for the Wikisources which transclude Page: ns to other namespaces, so the special page is flooded with these inhibiting template view.

Event Timeline

Billinghurst raised the priority of this task from to Needs Triage.
Billinghurst updated the task description. (Show Details)
Billinghurst added a subscriber: Billinghurst.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 30 2015, 12:12 AM

This is from rMW64717f414cdd: Don't check namespace in SpecialWantedtemplates, so Scribunto/Lua modules would show up on the page (T104002), cc'ing patch author.

There's no 500-page limit as far as I can see, and on both en.wikisource and www.wikisource, I wouldn't exactly say it's "flooded" until you start getting into occurrences with only 1 or 2 transclusions. (The one thing I would like to fix is that transclusions of stock messages really shouldn't count.)

Billinghurst renamed this task from [[Special:Wanted templates]] to only query Template: namespace to [[Special:Wanted templates]] to only query Template: and Module: namespace.Sep 30 2015, 6:15 AM
Billinghurst updated the task description. (Show Details)
Billinghurst set Security to None.

@Jackmcbarn You may not consider it flooded, however, taking it back to templates — and adding module if you wish — would take it back to its designed purpose — it is not Special:WantedTransclusions.

If the scope is going to be expanded it would be useful to have that debate, however, at the moment enWS preference is to align the special page's output to its designed purpose. If you think that there is the need for Special:WantedTransclusions, then please have it able to be set and displayed/filtered with desired namespaces so that communities like the Wikisources can target their needs. Thanks.

Jackmcbarn renamed this task from [[Special:Wanted templates]] to only query Template: and Module: namespace to Allow filtering by namespace on [[Special:WantedTemplates]].Sep 30 2015, 5:13 PM

please have it able to be set and displayed/filtered with desired namespaces so that communities like the Wikisources can target their needs.

I like this idea a lot. Making it work like Special:WhatLinksHere (for example) is probably the best way to go here.

If you plan to follow that direction, then there needs to be the ability
for a community level set default, which individuals can override.

I don't think we're currently able to add filters to cached special pages?

Billinghurst added a comment.EditedOct 1 2015, 1:24 PM

That being the case, can we then either simply revert the last change, or revert and add module ns: then have any "future possibility" change conversation.

I also think that this page should only be showing real templates (i.e. Templates and Modules) at least until there is a mechanism to add filters to cached expensive query pages.

I have reverted the change in gerrit, apologies for any inconvenience that this may cause, I hope that it is less than ours.

Change 245854 had a related patch set uploaded (by Glaisher):
Revert "Don't check namespace in SpecialWantedtemplates"

https://gerrit.wikimedia.org/r/245854

Hmm, I am told that I needed to have done some special syntax to get the bot to notice the change. Wasn't done sorry,
https://gerrit.wikimedia.org/r/#q,Ie88ecde37cbf27750df41ded8d4f79fd58bd58e6,n,z
If someone wants to kick something.

GOIII added a subscriber: GOIII.Dec 3 2015, 7:49 AM

@Jackmcbarn It's still broken. Please revert the gerrit that broke a long existing & well-established functionality.

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptDec 3 2015, 7:49 AM

I remain unconvinced that the old situation is better than it is now. It shouldn't be that hard to add the ability to filter this data if it's wanted that badly.

GOIII added a comment.Dec 4 2015, 4:01 AM

I remain unconvinced that the old situation is better than it is now. It shouldn't be that hard to add the ability to filter this data if it's wanted that badly.

On en.wikisource, I can't filter ~4,000 faux Page: & other non Template: namespace hits out of 5,000 to get back the list that I've been whittling down for months now. Many new-comers to Wikisource "bring" their favorite templates to us from their Wikipedia/Commons experiences but don't always do a good job of adding all-the adjacent support templates to that target template. This list made it far easier to identify and rectify those trends (I'm not talking about those hits with one or two redlinks in other words).

Who must I convince that your time is not more valuable than my time?

I believe that I have reverted the gerrit, just no one is going to +2 to commit it. It really is adding to my despondency that developers can do as they please but communities have to get a consensus. Again the WPs rule over the smaller communities. The coding change does not work for Wikisource so simply should not be in place as a global default. Please roll it back and get the assistance you need if you want the additional functionality.

Developers please undo this change or I will consider pinging pinging pinging and probably get myself out of here. I am at the point where I am not going to give a crap.

GOIII added a comment.EditedDec 5 2015, 4:49 AM

@Jackmcbarn , @Legoktm
Please revert; disrupts "logic family" of relevant Special: pages maintenance scheme.

Currently we have a long standing, simple-to-follow & logic based maintenance group of Special: pages. This group has a sub-set of complimentary Special: pages with it. This sub-set is illustrated in the table below...

Uncategorized categoriesUnused categoriesWanted categories
Uncategorized filesUnused filesWanted files
Uncategorized pagesUnused pagesWanted pages
Uncategorized templatesUnused templatesWanted templates

.

By modifying Wanted templates to something that now lists more than just the red-linked 'calls' to Template: ns files that do exist (by mistake or otherwise) disrupts both the horizontal descriptive association(s) as well as the vertical maintenance tasks at hand.

GOIII added a comment.EditedDec 5 2015, 4:58 AM

@Jackmcbarn , @Legoktm
Please revert; original change based on flawed premise; can't find any indication of a consensus supporting a change one way or the other. The premature declining of T104002 requesting something completely different than what was delivered is the only thing I can find in lieu of justifying any change.

Templates are templates, even if they're in a different namespace.

The Module: ns is not the same as the Template: ns so that logic is flawed (ns-828, wgPageContentModel=Scribunto versus ns-10, wgPageContentModel=wikitext for starters).

You expect us to believe the actual purpose of Special:Wanted templates was not meant to paraphrase something more descriptive in reality like Special:Requests calling non-existent pages expected to be located in the Template: namespace but are not ?

You're just making a play on the word template as it construes a function in general rather than the formal acceptance of the namespace designated Template:

Why can't you just leave what's been in place for decade if not more now and just build upon the existing foundation of maintenance Special: pages with...

Uncategorized modulesUnused modulesWanted modules

.
... instead of making a mockery of the procedures and practices in place with an obviously not very well though out "hack" that screams of personal preference instead of group acceptance.

Change 245854 merged by jenkins-bot:
Revert "Don't check namespace in SpecialWantedtemplates"

https://gerrit.wikimedia.org/r/245854

GOIII closed this task as Resolved.Apr 6 2016, 7:21 PM
GOIII assigned this task to Legoktm.

Going to close since original report was primarily in response to rMW64717f414cdd: Don't check namespace in SpecialWantedtemplates which inadvertently allowed more than just Scribunto/Lua namespace modules (see T104002) to show up on the cached list on various non-Wikipedia projects, making specific maintenance problematic even at the 5000 result limits. That change has since been reverted and once again, Special:WantedTemplates currently reflects only the Template namespace as has always has been the case prior to the attempted change.

In addition it appears an alternative approach allowing namespace filtering of such cached maintenance listings is not possible per...

I don't think we're currently able to add filters to cached special pages?

... so the wording in the report's title is also a moot point.

Please see T104002 for the request to add a maintenance group of Special pages for the Modules namespace.